//  Copyright (C) 2010 Isaac Ashwin
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 
//  02110-1301, USA.

char filepath[1024];

int createFile(char* path);
int parseWord(char* word)
{
	if(strcmp(word, "hello") == 0 || strcmp(word, "Hello") == 0)
	{
		return 1;
	}
	else if(strcmp(word, "edit") == 0 || strcmp(word, "Edit") == 0)
	{
		return 2;
	}
	else if(strcmp(word, "create") == 0 || strcmp(word, "Create") == 0)
	{
		return 3;
	}
	else if(strcmp(word, "please") == 0 || strcmp(word, "Please") == 0)
	{
		return 4;
	}
	else
	{
		return 0;
	}
}

void parseActions(int actions[], int len)
{
	int i;
	for(i = 0; i < len; i++)
	{
		if(actions[i] == 1)
		{
			printf("Hello there. ");
		}
		else if(actions[i] == 2)
		{
			printf("I will edit when I can. ");
		}
		else if(actions[i] == 3)
		{
			int r = createFile(filepath);
			if(r == 1)
			{
				printf("I have successfully created the file. ");
			}
			else if(r == 0)
			{
				printf("I could not create the file. Sorry. ");
			}
		}
		else if(actions[i] == 4)
		{
			printf("Thank you for being polite. ");
		}
	}
}
